package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 师傅金额明细对象 worker_money_log
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class WorkerMoneyLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 师傅id */
    @Excel(name = "师傅id")
    private Long workerId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long oid;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderId;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal price;

    /** 1:收入 2：支出 */
    @Excel(name = "1:收入 2：支出")
    private Integer type;

    /** 服务金额 */
    @Excel(name = "服务金额")
    private BigDecimal servicePrice;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private BigDecimal reductionPrice;

    /** 提成比例 */
    @Excel(name = "提成比例")
    private Integer cr;

    /** 质保金 */
    @Excel(name = "质保金")
    private BigDecimal mergin;

    /** 上门费 */
    @Excel(name = "上门费")
    private BigDecimal doorPrice;

    /** $column.columnComment */
    private Date createdAt;

    /** $column.columnComment */
    private Date updatedAt;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }

    public void setWorkerId(Long workerId) 
    {
        this.workerId = workerId;
    }

    public Long getWorkerId() 
    {
        return workerId;
    }

    public void setOid(Long oid) 
    {
        this.oid = oid;
    }

    public Long getOid() 
    {
        return oid;
    }

    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }

    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }

    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }

    public void setServicePrice(BigDecimal servicePrice) 
    {
        this.servicePrice = servicePrice;
    }

    public BigDecimal getServicePrice() 
    {
        return servicePrice;
    }

    public void setReductionPrice(BigDecimal reductionPrice) 
    {
        this.reductionPrice = reductionPrice;
    }

    public BigDecimal getReductionPrice() 
    {
        return reductionPrice;
    }

    public void setCr(Integer cr) 
    {
        this.cr = cr;
    }

    public Integer getCr() 
    {
        return cr;
    }

    public void setMergin(BigDecimal mergin) 
    {
        this.mergin = mergin;
    }

    public BigDecimal getMergin() 
    {
        return mergin;
    }

    public void setDoorPrice(BigDecimal doorPrice) 
    {
        this.doorPrice = doorPrice;
    }

    public BigDecimal getDoorPrice() 
    {
        return doorPrice;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("workerId", getWorkerId())
            .append("oid", getOid())
            .append("orderId", getOrderId())
            .append("price", getPrice())
            .append("type", getType())
            .append("servicePrice", getServicePrice())
            .append("reductionPrice", getReductionPrice())
            .append("cr", getCr())
            .append("mergin", getMergin())
            .append("doorPrice", getDoorPrice())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .toString();
    }
}
